POST
/shares/for-pageGet the share for a specific page
Retrieves the share associated with a specific page. Supply pageId to identify the page whose share you want to find.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
Page identifier for the share lookup.
pageIdstringrequired
ID of the page to find the share for.
200Returns the share associated with the specified page.
dataobjectoptional
statusintegeroptional
successbooleanoptional
403Returned when access to the share is forbidden.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
404Returned when the shared page cannot be found.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
pageId is required. A 403 is returned when access to the share is forbidden, and a 404 is returned when the shared page cannot be found.